Page MenuHomePhabricator

Remove includes/templates/Userlogin.php, use HTMLForm class in includes/SpecialUserlogin.php instead
Closed, ResolvedPublic

Description

Author: nickpj

Description:
Should includes/templates/Userlogin.php be merged into the includes/SpecialUserlogin.php page, using the Xml.php methods to draw user-input fields, instead of the templating system, as per most of the other Special pages?

For example, there is some overlap of form information between includes/SpecialPreferences.php's "User Profile" tab, and the login pages. However SpecialPreferences.php uses a single non-template file, and mostly outputs form fields using the Xml methods rather than outputting HTML directly, and overall seems nicer to work with because of it.


Version: 1.10.x
Severity: enhancement

Details

Reference
bz10317

Related Objects

StatusAssignedTask
ResolvedEsanders
OpenNone
OpenNone
OpenNone
ResolvedMarkTraceur
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
OpenNone
OpenNone
OpenNone
ResolvedJdlrobson
Resolvedmatmarex
Resolvedmatmarex
OpenNone
OpenNone
ResolvedEsanders
DuplicateNone
ResolvedTTO
ResolvedJayprakash12345
DuplicateNone
OpenNone
ResolvedNone
DuplicateNone
ResolvedAnomie
ResolvedAnomie
ResolvedTgr
ResolvedAnomie
ResolvedJoe
ResolvedJoe
Resolvedhashar
Resolvedbd808
ResolvedAnomie
ResolvedKrinkle
OpenNone
ResolvedJanZerebecki
ResolvedKrinkle
ResolvedTgr

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:48 PM
bzimport set Reference to bz10317.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 20 2007, 1:26 AM

Looks like Gerrit change 27022 is related to this

The in-progress redesign of login/create account to use stacked labels and right-aligned help links[1] makes this more complicated. Even if we changed from undecorated list items to plain divs, HTMLForm and Xml would need changes to output the new CSS and layout.

[1] https://www.mediawiki.org/wiki/Wikimedia_Foundation_Design/Login#Proposed

(In reply to comment #2)

The in-progress redesign of login/create account to use stacked labels and
right-aligned help links[1] makes this more complicated. Even if we changed
from undecorated list items to plain divs, HTMLForm and Xml would need
changes
to output the new CSS and layout.
[1] https://www.mediawiki.org/wiki/Wikimedia_Foundation_Design/Login#Proposed

Indeed, and I suggest that whatever team is doing the login page redesign look into what changes would need to be made, because it would be nonsensical to redesign the login page *before* resolving this issue. Otherwise we're just driving ourselves into a deeper hole.

This bug doesn't actually suggest to use HTMLForm (though I know that's the idea of https://gerrit.wikimedia.org/r/#/c/27022/).

(In reply to comment #4)

This bug doesn't actually suggest to use HTMLForm (though I know that's the
idea of https://gerrit.wikimedia.org/r/#/c/27022/).

Indeed. My change just uses HTMLForm because it is the ideal case.

Change 27022 abandoned by Parent5446:
Re-implemented Special:Userlogin using FormSpecialPage.

Reason:
The rest of the login system needs to be fixed before the UI part.

https://gerrit.wikimedia.org/r/27022

Assuming Tyler isn't planning to continue working on this.

Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
matmarex renamed this task from Remove includes/templates/Userlogin.php, use HTMLForm class or Xml methods in includes/SpecialUserlogin.php instead to Remove includes/templates/Userlogin.php, use HTMLForm class in includes/SpecialUserlogin.php instead.Dec 24 2014, 4:46 PM
Jdforrester-WMF raised the priority of this task from Low to High.Jun 27 2015, 7:24 PM
Florian added a subscriber: Florian.Aug 3 2015, 9:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 9:12 AM
matmarex closed this task as Resolved.May 16 2016, 9:11 PM
matmarex removed a project: Patch-For-Review.
matmarex added subscribers: Anomie, Tgr.

This has been effectively resolved by rMW3617c982c9db: Use AuthManager on special pages (https://gerrit.wikimedia.org/r/#/c/240052/), which implemented a new HTMLForm-based login form. The stuff in includes/templates/ is not deleted yet, because it's used when $wgDisableAuthManager=true, but it will be removed for good soon with https://gerrit.wikimedia.org/r/#/c/280945/.